%define	date	20050610

Summary:	An ELF prelinking utility
Name:		prelink
Group:		System Environment/Base
License:	GPL
Version:	0.0.%{date}
Release:	1
Source0:	ftp://people.redhat.com/jakub/prelink/prelink-%{date}.tar.bz2
Source2:	prelink.conf
BuildRequires:	elfutils-devel >= 0.72
Requires:	glibc >= 2.2.4, kernel >= 2.4.10
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The prelink package contains a utility which modifies ELF shared libraries
and executables, so that far less relocations need to be resolved at runtime
and thus programs come up faster.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/execstack.8*
  %doc %{_mandir}/man8/prelink.8*

  %attr(0400,root,root)		%config(noreplace) %{_sysconfdir}/prelink.conf
  %attr(0444,root,root)		%{_sysconfdir}/rpm/macros.prelink
  %attr(0511,root,root)		%{_bindir}/execstack
  %attr(0500,root,root)		%{_sbindir}/prelink

%prep
%setup -q -n prelink
%build
  %configure --disable-shared
  make %{_smp_mflags}

# echo ====================TESTING=========================
# make -C testsuite check-harder
# make -C testsuite check-cycle
# echo ====================TESTING END=====================

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %{makeinstall}

  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rpm
  cp -a %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}

  cat > $RPM_BUILD_ROOT/%{_sysconfdir}/rpm/macros.prelink <<"EOF"
# rpm-4.1 verifies prelinked libraries using a prelink undo helper.
#       Note: The 2nd token is used as argv[0] and "library" is a
#       placeholder that will be deleted and replaced with the appropriate
#       library file path.
%%__prelink_undo_cmd     /usr/sbin/prelink prelink -y library
EOF

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.20050610, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
